Package org.eclipse.lemminx.services.extensions.diagnostics

## Interface IXMLErrorCode

All Known Implementing Classes:
  `DTDErrorCode`, `ExternalResourceErrorCode`, `RelaxNGErrorCode`, `XIncludeErrorCode`, `XMLCatalogErrorCode`, `XMLReferencesErrorCode`, `XMLSchemaErrorCode`, `XMLSyntaxErrorCode`, `XSDErrorCode`

    public interface IXMLErrorCode

XML error code API.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCode()` Returns the XML error code.

### Method Detail

#### getCode

    String getCode()

Returns the XML error code.

Returns:
  the XML error code.